#!/usr/bin/python
# Copyright (C) 2012  Canonical Ltd.

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import isotracker_xmlrpc as isotracker, sys

if (len(sys.argv) > 1):
    milestone = sys.argv[1]
else:
    milestone = isotracker.default_milestone()

products = {}
for product in isotracker.tracker_products:
    products[product['id']] = product['title']

for build in sorted(isotracker.get_builds(milestone), key=lambda build: products[build['productid']]):
    print("{0:<60} {1:<15} {2:<15}".format(products[build['productid']], build['status_string'], build['version']))
